/* ---------------SIDEBAR ------------ */

.sidebar {
	display: flex;
	flex-direction: column;
	width: 100%;
}

/* Header */
.recent-header {
	  position: relative;
  z-index: 2;
    display: flex;
    align-items: stretch;
    justify-content: space-between;
    padding: 8px 14px;
    background: #28292a;
    border-radius: 8px 8px 0px 0px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.3);
}



.recent-header h3 {
	margin: 0;
	font-size: 14px;
	font-weight: 700;
	color: var(--weiss);
	text-transform: uppercase;
}


.recent-header span {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: -8px -14px -8px 0;   /* kompensiert oben/unten UND rechts das Parent-Padding */
    padding: 0 16px;
    color: var(--weiss);
    background: var(--rot);
    border-radius: 0 8px 0 0;    /* obere rechte Ecke rund wie der Header */
    font-size: 12px;
    font-weight: 700;
    text-transform: uppercase;
}





/* Artikel Liste */

.recent-comments {
	height: 350px;
	background: var(--weiss);
	overflow: hidden;

	border: 1px solid rgba(0, 0, 0, 0.08);
	border-radius: 0px;

	box-shadow:
		0 2px 6px rgba(0,0,0,.05),
		0 8px 20px rgba(0,0,0,.03);
}

.comment-list {
	
	display: flex;
	flex-direction: column;
	height: 100%;
	margin:10px 10px 10px 10px;
}

/* gesamter Artikel */
.comment {
	flex: none;
	display: flex;
	align-items: flex-start;
	gap: 12px;
	padding: 8px 10px;
	min-height: 80px;
	box-sizing: border-box;

	transition:
		background .35s ease,
		transform .35s ease;
}
.comment:last-child {
	border-bottom: none;
}


.comment:hover {
	background: var(--flaeche-hell);
	transform: translateX(0px);
}

.comment:hover img {
	transform: scale(1.08);
}



/* Hover Bild */
.comment:hover .comment-image img {
	transform: scale(1.08);
	filter: brightness(.75);
}


.comment:hover .image-overlay {
	opacity: 1;
	transform: scale(1);
}


/* Text */

.comment-content {
	flex: 1;
	min-width: 0;
	height: 80px;
	display: flex;
	flex-direction: column;
}

.comment-content h4 {
	margin: 0 0 7px;
	font-size: 15px;
	line-height: 1.3;
	font-weight: 700;
	text-transform: uppercase;

	color: var(--grau);
	transition: color .3s ease;
}


.comment:hover .comment-content h4 {
	color: var(--rot);
}

.comment-content p {
	margin: 0;
	font-size: 13px;
	line-height: 1.5;
	color: var(--grau);
	display: -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
	overflow: hidden;
}

/* Lesen-Link */

.bottom-row-right {
	margin-top: auto;
}

/* ---------------------------------  Bild -------------------------------------- */

/* Bild */
.comment-image {
	width: 116px;
	height: 82px;
	flex-shrink: 0;
	overflow: hidden;
	border-radius: var(--radius-no);
	position: relative;
}

.comment-image img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	transition: transform .45s ease, filter .45s ease;
}


/* Kreuz Overlay */
.image-overlay {
	position: absolute;
	inset: 0;
	display: flex;
	align-items: center;
	justify-content: center;

	color: #fff;
	font-size: 32px;
	font-weight: 300;
	line-height: 1;

	background: rgba(0,0,0,.35);

	opacity: 0;
	transform: scale(.7);
	transition:
		opacity .35s ease,
		transform .35s ease;
}




